BizKitHub
DocsAPI ReferenceLedger/bff/ledger/asset/dispose
postLedgerAdmin BFF

/bff/ledger/asset/dispose

Dispose an asset (depreciation of the year, residual value to 54x/551)

LedgerpostBffLedgerAssetDispose

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired

Asset external id.

Length: 16–24
datestringRequired
Example2026-11-04
type"sold" | "liquidated" | "donated" | "damaged"Required
pricenumber | nullOptional
One of 2:
Variant 1
number
Range: 0–∞
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
entryobject | nullRequired
One of 2:
Variant 1
idstringRequired
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
Variant 2
null
residualnumberRequired
yearAccountingnumberRequired
yearTaxnumberRequired

Response example

application/json
{
  "success": false,
  "residual": 0,
  "yearAccounting": 0,
  "yearTax": 0
}

Request example

POST /bff/ledger/asset/dispose

post
curl -X POST "https://api.bizkithub.com/bff/ledger/asset/dispose" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "date": "2026-11-04"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key